Summary:   Virtual Network Computing
Name:      vnc
Version:   3.3.3r1
Release:   9
URL:       http://www.uk.research.att.com/vnc/
Source0:   http://www.uk.research.att.com/vnc/dist/%{name}-%{version}_unixsrc.tgz
Source1:   vnc.conf
Source2:   vncserver
Source3:   vnc-latest_doc.tgz
Patch0:    vnc-imake.patch
License: GPL
Group:     User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: /usr/bin/perl
ExclusiveArch: i386 alpha sparc

%description
VNC stands for Virtual Network Computing. It is, in essence, a remote display
system which allows you to view a computing 'desktop' environment not only on
the machine where it is running, but from anywhere on the Internet and from a
wide variety of machine architectures.  This package contains a client
which will allow you to connect to other desktops running a VNC server.

%package server
Summary: Virtual Network Computing - Server
Requires: XFree86
Group: User Interface/X
Prereq: /sbin/chkconfig /etc/init.d

%description server
The VNC system allows you to access the same desktop from a wide
variety of platforms.  This package is a VNC server, allowing others
to access the desktop on your machine.

%package doc
Summary: Complete documentation for VNC
Group: User Interface/Desktops

%description doc
This package contains HTML documentation about VNC programs.  Install
the vnc-doc package if you want extensive online documentation about VNC.

%prep
%setup -q -n %{name}_unixsrc -a 3
%patch0 -p1 -b .imake
find . -name "*,v" -exec rm -f {} \;
perl -pi -e "s|/usr/local/vnc/classes|%{_datadir}/vnc/classes|" vncserver

%build
xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS" World
cd Xvnc
make CDEBUGFLAGS="$RPM_OPT_FLAGS" World

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
./vncinstall %{buildroot}%{_bindir}
cd Xvnc
make DESTDIR="%{buildroot}" install
cd ..

mkdir -p %{buildroot}%{_datadir}/vnc
cp -aR classes %{buildroot}%{_datadir}/vnc

strip %{buildroot}%{_bindir}/* || :

mkdir -p %{buildroot}/etc/rc.d/init.d
install -m755 %{SOURCE2} %{buildroot}/etc/rc.d/init.d

%clean
rm -rf %{buildroot}

%preun server
if [ "$1" = 0 ]; then
  service /vncserver stop >/dev/null 2>&1
  /sbin/chkconfig --del vncserver
fi

%postun server
if [ "$1" -ge "1" ]; then
  service /vncserver condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc LICENCE.TXT README 
%{_bindir}/vncviewer

%files server
%defattr(-,root,root)
%attr(0755,root,root)/etc/rc.d/init.d/vncserver
%{_bindir}/Xvnc
%{_bindir}/vncserver
%{_bindir}/vncpasswd
%{_datadir}/vnc

%files doc
%defattr(-,root,root)
%doc vnc_docs/*

%changelog
* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove ,v file from vnc-doc, Bug #12443

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Preston Brown <pbrown@redhat.com>
- move initscript

* Thu Jun 15 2000 Preston Brown <pbrown@redhat.com>
- move post/postun scripts from main package to server subpackage

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- preun and postun sections

* Fri Jun 09 2000 Preston Brown <pbrown@redhat.com>
- initial package, from Sean P. Kane package and Mandrake package
- rewrote init script, added condrestart mode
